Name:       python-swiftclient
Version:    1.8.0
Release:    1%{?dist}
Summary:    Client Library for OpenStack Object Storage API
License:    ASL 2.0
URL:        http://pypi.python.org/pypi/%{name}
Source0:    http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

#
# patches_base=1.8.0+1
#
Patch0001: 0001-Remove-builtin-requirements-handling.patch
Patch0002: 0002-Add-SSL-certificate-verification-by-default.patch

BuildArch:  noarch
Requires:   python-simplejson
Requires:   python-keystoneclient
Requires:   pyOpenSSL >= 0.12
# /usr/bin/swift collision with older swift-im rhbz#857900
Conflicts:  swift < 2.0-0.3

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-d2to1
BuildRequires: python-pbr
BuildRequires: pyOpenSSL

%description
Client library and command line utility for interacting with Openstack
Object Storage API.

%package doc
Summary:    Documentation for OpenStack Object Storage API Client
Group:      Documentation

BuildRequires: python-sphinx

%description doc
Documentation for the client library for interacting with Openstack
Object Storage API.

%prep
%setup -q

%patch0001 -p1
%patch0002 -p1

# Remove bundled egg-info
rm -rf python_swiftclient.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# Install swift.1 to man1x in order to avoid conflict with old swift bz#904353
install -d -m 755 %{buildroot}%{_mandir}/man1x
install -p -m 0644 doc/manpages/swift.1 %{buildroot}%{_mandir}/man1x/swift.1x

export PYTHONPATH="$( pwd ):$PYTHONPATH"
pushd doc
make html
popd

# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo

%files
%doc LICENSE README.rst
%{_mandir}/man1x/swift.1*
%{_bindir}/swift
%{python_sitelib}/swiftclient
%{python_sitelib}/*.egg-info

%files doc
%doc LICENSE doc/build/html

%changelog
* Fri Dec 06 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.8.0-1
- Update to upstream 1.8.0
- Add SSL certificate verification by default (CVE-2013-6396)
- New runtime and build dependency: pyOpenSSL
- python-pbr has been removed from runtime by upstream

* Mon Sep 02 2013 Jakub Ruzicka <jruzicka@redhat.com> - 1.6.0-1
- Update to upstream 1.6.0.
- Remove runtime dependency on python-pbr.
- Add new build requires: python-pbr, python-d2to1.

* Tue May 14 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.4.0-2
- Selective fixes from stable/grizzly:
-   Confirm we have auth creds before clearing preauth
-   Eradicate eventlet (rhbz#912386)

* Mon May 13 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.4.0-1
- Grizzly release.
- Update to upstream 1.4.0.

* Sat Mar 09 2013 Alan Pevec <apevec@redhat.com> 1.3.0-1
- Update to 1.3.0 release.

* Wed Feb 27 2013 Pete Zaitcev <zaitcev@redhat.com> 1.2.0-5
- add man page swift.1 from openstack-swift-1.7.4-9 (as swift.1x), bz#904353

* Mon Feb 11 2013 Alan Pevec <apevec@redhat.com> 1.2.0-4
- add missing dependency on keystoneclient

* Mon Sep 17 2012 Alan Pevec <apevec@redhat.com> 1.2.0-2
- conflict with swift-im bz#857900

* Thu Sep 13 2012 Alan Pevec <apevec@redhat.com> 1.2.0-1
- Update to 1.2.0 release.

* Tue Jul 31 2012 Alan Pevec <apevec@redhat.com> 1.1.1-1
- Initial release.
